Skip to main content
Topic solved
This topic has been marked as solved and requires no further attention.
Topic: [SOLVED] python-hyperlink: signature is invalid (Read 69 times) previous topic - next topic
0 Members and 1 Guest are viewing this topic.

[SOLVED] python-hyperlink: signature is invalid

I went to try and build "syncplay-git" from the AUR and was unable to install the dependency "python-twisted" which failed with the error below

Code: [Select]
error: python-hyperlink: signature from "Artix Buildbot <[email protected]>" is invalid
:: File /var/cache/pacman/pkg/python-hyperlink-20.0.1-1-any.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).

Re: python-hyperlink: signature is invalid

Reply #1
Yeah looks like the buildbot signature went wrong somehow there. We're in the middle of a big backend python rebuild atm (for the new python), so unfortunately I'm not sure there's a way we can fix it (well you could temporarily disable signature checking but that just feels bad to recommend) until the next python version.

Re: python-hyperlink: signature is invalid

Reply #2
Strange, that package is from August 2020.
fixed by python-hyperlink-20.0.1-1.1 (tested by myself). thank for report!